Package net.shibboleth.saml.profile.config

# Interface SAMLArtifactConsumerProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`, `SAMLProfileConfiguration`

All Known Subinterfaces:
  `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`, `SingleLogoutProfileConfiguration`

public interface SAMLArtifactConsumerProfileConfiguration extends SAMLProfileConfiguration
Common interface for SAML profile configurations involving artifact consumption, for example artifact resolution requests.

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`isClientTLSArtifactRequests(MessageContext messageContext)`
Get whether artifact resolution requests should use client TLS.
`boolean`
`isSignArtifactRequests(MessageContext messageContext)`
Get whether artifact resolution requests should be signed.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

### Methods inherited from interface net.shibboleth.saml.profile.config.SAMLProfileConfiguration

`getMessageHandler, isSignRequests, isSignResponses`

## Method Details

### isSignArtifactRequests

@ConfigurationSetting(name="signArtifactRequests") boolean isSignArtifactRequests(@Nullable MessageContext messageContext)
Get whether artifact resolution requests should be signed.

Parameters:
  `messageContext` - current message context
Returns:
  whether artifact resolution requests should be signed

### isClientTLSArtifactRequests

@ConfigurationSetting(name="clientTLSArtifactRequests") boolean isClientTLSArtifactRequests(@Nullable MessageContext messageContext)
Get whether artifact resolution requests should use client TLS.

Parameters:
  `messageContext` - current message context
Returns:
  whether artifact resolution requests should use client TLS